ConnectCloud Developers

Delete an empty folder (tenant:dms:write)

DELETE /api/dms/v1/folders/{id}

Module: DMS · operationId: deleteFolder · Tag: Folders · Auth: access token (Authorization: Bearer <accessToken>)

Refused with 409 while the folder has subfolders or documents.

Parameters

Name In Type Required Description
id path string (uuid) yes

Responses

  • 204 Deleted
  • 404 Error (application/json)
  • 409 Error (application/json)

Example request

curl -X DELETE 'https://api.mbcom.cloud/api/dms/v1/folders/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI